<?php

namespace EventPortal\Imports;

use Illuminate\Support\Collection;
use LaravelFeature\Facade\Feature;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class FeaturesImport implements ToCollection, WithHeadingRow
{
    public function collection(Collection $rows): void
    {
        foreach ($rows as $row) {
            Feature::add($row->get('name'), (bool) $row->get('is_enabled'));
        }
    }
}
